Переполнение буфера в ActiveX компоненте в Yahoo! Messenger

Дата публикации:
19.12.2006
Дата изменения:
05.04.2009
Всего просмотров:
1191
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Yahoo! Messenger 5.x
Yahoo! Messenger 6.x
Yahoo! Messenger 7.x
Yahoo! Messenger 8.x
Уязвимые версии: Yahoo! Messenger 8.0 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в свойстве TextETACalculating в YMailAttach ActiveX компоненте. Удаленный пользователь может с помощью специально сформированного Web сайта вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: messenger.yahoo.com

Решение: Установите последнюю версию с сайта производителя.

Ссылки: Yahoo! ActiveX Update
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=456
http://www.kb.cert.org/vuls/id/901852

или введите имя

CAPTCHA